## raspberrypi-userland 0~20200520%2Bgit2fe4ca3

=== host_applications/vmcs/test_apps/mmalplay/Makefile ===
all:
	gcc -O3  mmalplay.c playback.c -o mmalplay -lmmal -lmmal_core  -lmmal_util  -I/opt/vc/include/  -L/opt/vc/lib/ -lpthread -lvcos
