=== host_applications/linux/CMakeLists.txt ===
# linux apps

add_subdirectory(libs/bcm_host)
add_subdirectory(apps/gencmd)
add_subdirectory(apps/tvservice)
add_subdirectory(apps/vcmailbox)
add_subdirectory(apps/raspicam)
add_subdirectory(libs/sm)
if(NOT ARM64)
   add_subdirectory(apps/smem)
endif()
add_subdirectory(libs/debug_sym)
add_subdirectory(apps/dtoverlay)
add_subdirectory(apps/dtmerge)

if(ALL_APPS)
 add_subdirectory(apps/vcdbg)
 add_subdirectory(libs/elftoolchain)
 # add_subdirectory(apps/smct)
 add_subdirectory(apps/edid_parser)
 add_subdirectory(apps/hello_pi)
endif()
