=== interface/mmal/client/CMakeLists.txt ===
add_subdirectory(brcmjpeg)
