=== debian/changelog ===
raspberrypi-userland (0~20200520+git2fe4ca3-0ubuntu3~20.04.1) focal; urgency=medium

  * Correct vcio (and associated) permissions on focal (LP: #1958563)

 -- Dave Jones <dave.jones@canonical.com>  Tue, 25 Jan 2022 13:45:06 +0000

raspberrypi-userland (0~20200520+git2fe4ca3-0ubuntu3~20.04) focal; urgency=medium

  * Backport to focal (LP: #1883111)
  * d/copyright audit
  * Added d/p/no-specific-libgps.patch to use whatever libgps the system
    provides
  * Excluded the various /usr/bin/containers_* test binaries from
    libraspberrypi-bin
  * Added d/librasperrypi0.symbols file
  * Fixed pkgconfig paths in d/p/fix-multiarch-dir.patch

 -- Dave Jones <dave.jones@canonical.com>  Mon, 19 Oct 2020 20:36:07 +0100

raspberrypi-userland (0~20200520+git2fe4ca3-0ubuntu2) groovy; urgency=medium

  * Don't build libGL/EGL/GLES/etc. libraries with names conflicting with the
    mesa copies (LP: #1891613)
  * Tidied up some lintian warnings in armhf build

 -- Dave Jones <dave.jones@canonical.com>  Fri, 14 Aug 2020 12:50:20 +0100

raspberrypi-userland (0~20200520+git2fe4ca3-0ubuntu1) groovy; urgency=medium

  * Ubuntu port (LP: #1883111)
  * Added:
    - d/p/add-custom-bootdir.patch to customize boot path
    - d/p/fix-format-overflow.patch to fix gcc-10 compiler error
    - d/p/fix-multiarch-dir.patch to build output in multi-arch paths
    - d/p/no-dma-buf.patch to exclude Linux headers from source

 -- Dave Jones <dave.jones@canonical.com>  Tue, 28 Jul 2020 12:09:02 +0100
