=== interface/vmcs_host/CMakeLists.txt ===
--- 
+++ 
@@ -8,8 +8,8 @@
 add_definitions(-fno-strict-aliasing)
 
 add_library(vchostif
-            ${VMCS_TARGET}/vcfilesys.c ${VMCS_TARGET}/vcmisc.c
-            vc_vchi_gencmd.c vc_vchi_filesys.c vc_vchi_gpuserv.c
+            ${VMCS_TARGET}/vcmisc.c
+            vc_vchi_gencmd.c vc_vchi_gpuserv.c
             vc_vchi_tvservice.c vc_vchi_cecservice.c
             vc_vchi_dispmanx.c vc_service_common.c)
 #            ${VMCS_TARGET}/vmcs_main.c
