=== debian/changelog ===
raspberrypi-userland (0~20211124+git14b90ff-0ubuntu2) jammy; urgency=medium

  * Fix udev rules for vcio and vchiq (LP: #1958563)
  * Add dma_heap and rpivid rules for better libcamera support

 -- Dave Jones <dave.jones@canonical.com>  Thu, 20 Jan 2022 19:03:13 +0000

raspberrypi-userland (0~20211124+git14b90ff-0ubuntu1) jammy; urgency=medium

  * Bump to current version on RaspiOS Bullseye (LP: #1950289):
    - Fixes the tvservice application (LP: #1944541)
    - d/p/fix-multiarch-dir.patch: refreshed context
    - d/p/add-custom-bootdir.patch: refreshed context
    - d/p/fix-format-overflow.patch: merged upstream
    - d/p/libraspberrypi0.install:
      - split into armhf and arm64 variants
      - removed all the plugins/containers entries from the arm64 variant now
        that MMAL is no longer built for arm64
    - d/p/libraspberrypi0.symbols.arm{hf,64}:
      - removed all hostfs and vcfiled calls
      - removed mmal calls for allocation / lookup / release of client
        components and contexts
    - d/p/libraspberrypi0.symbols.arm64:
      - removed all MMAL related entries
    - d/libraspberrypi0.lintian-overrides.arm64:
      - removed all MMAL related entries
    - d/libraspberrypi-bin.manpages:
      - split into armhf and arm64 variants
      - removed all raspicam related manpages from the arm64 version
    - d/*.[17]:
      - man-pages were merged upstream; these are now in the orig-tar
    - d/rules:
      - fix install on arm64 where containers_* binaries are no longer built

 -- Dave Jones <dave.jones@canonical.com>  Wed, 21 Jul 2021 14:03:05 +0100

raspberrypi-userland (0~20200520+git2fe4ca3-0ubuntu3~ppa2) hirsute; urgency=medium

  * d/copyright audit
  * Added d/p/no-specific-libgps.patch to use whatever libgps the system
    provides
  * Excluded the various /usr/bin/containers_* test binaries from
    libraspberrypi-bin
  * Added d/librasperrypi0.symbols file
  * Fixed pkgconfig paths in d/p/fix-multiarch-dir.patch

 -- Dave Jones <dave.jones@canonical.com>  Mon, 19 Oct 2020 20:36:07 +0100
