=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 	dh_install
 	# Remove all the small (largely undocumented) test binaries with
 	# rather generic names
-	rm debian/libraspberrypi-bin/usr/bin/containers_*
+	rm -f debian/libraspberrypi-bin/usr/bin/containers_*
 	mkdir -p debian/libraspberrypi-bin/usr/lib/userland
 	for file in $(TEST_BINARIES); do \
 		if [ -f debian/libraspberrypi-bin/usr/bin/$${file} ]; then \
