=== host_applications/linux/apps/hello_pi/hello_triangle/CMakeLists.txt ===
set(EXEC hello_triangle.bin)
set(SRCS triangle.c)

add_executable(${EXEC} ${SRCS})
target_link_libraries(${EXEC} ${HELLO_PI_LIBS})

install(TARGETS ${EXEC}
        RUNTIME DESTINATION bin)
