=== debian/changelog ===
raspberrypi-userland (0~20220324+gitc4fd1b8-0ubuntu1~22.04.1) jammy; urgency=medium

  * SRU of kinetic version
  * Fix lintian-overrides to use arch-specific flags, ensuring both the armhf
    and arm64 versions can be simultaneously installed (LP: #1973285)
  * Fix Multi-Arch spec on libraspberrypi-bin and libraspberrypi-dev
  * d/libraspberrypi0.symbols.* add Build-Depends-Package
  * Don't embed Vera.ttf in libraspberrypi-dev examples; symlink to the one
    from ttf-bitstream-vera and Suggest: that package instead
  * Ensure examples in libraspberrypi-dev are not compressed

 -- Dave Jones <dave.jones@canonical.com>  Thu, 26 May 2022 14:22:37 +0100
